This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1299619 - Business Central Repo Clone Fails To Clone SCP Style SSH URLs
Business Central Repo Clone Fails To Clone SCP Style SSH URLs
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity unspecified
: ER1
: 6.3.0
Assigned To: manstis
Tomas David
:
Depends On:
Blocks: 1299870
  Show dependency treegraph
 
Reported: 2016-01-18 13:58 EST by Justin Holmes
Modified: 2016-03-17 09:00 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1299870 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error screen shot (99.10 KB, image/png)
2016-01-18 13:58 EST, Justin Holmes
no flags Details
GithHub Recommended (42.99 KB, image/png)
2016-02-11 07:18 EST, Mark Proctor
no flags Details

  None (edit)
Description Justin Holmes 2016-01-18 13:58:44 EST
Created attachment 1115946 [details]
Error screen  shot

Description of problem:

Git supports two styles of URI's for SSH protocol. Business Central fails with "invalid URL format" when using the SCP style for SSH. This problematic because github by default uses the SCP style for SSH and does not seem to support the SSH style URL anymore.


Version-Release number of selected component (if applicable):
6.2.0 GA

How reproducible:
Everytime 

Steps to Reproduce:
1) Go to the admin tab
2) Click repositories->Clone Repository
3) Fill out the form using any ssh URL protocol provided by the github UI. I used git@github.com:sherl0cks/TestKnowledgeRepo.git

Actual results:
See screenshot. Error with "invalid URL format"

Expected results:
It clones the repo just like https URLs.


Additional info:
Comment 2 Mark Proctor 2016-02-11 07:18 EST
Created attachment 1123137 [details]
GithHub Recommended

This is a screenshot showing that business central aligns with the Github recommended standard.
Comment 4 mireynol 2016-02-11 10:46:41 EST
Has there been a JIRA created for this. Do we have any what the target fix version is?
Comment 5 Justin Holmes 2016-02-11 15:03:21 EST
RE: GitHub recommendation 

The goal here is to use oncommit githooks to sync with a remote git repo. If customers can accomplish this using an alternative approach, I am OK. That said, we have a few issues:

1) Many customers just use SSH, and most SSH providers for git (including GitHub & GitLab) use the scp style protocol. What github recommends and what customers actually do don't always align.
2) The current implementation of githooks from jGit does not provide a way (that I can find today) to have jGit perform the actual git operations. Instead, jGit delegates to the OS to execute the hook which in turn requires git on the OS to perform the operation. This means if you want to use an oncommit githook to push to a remote a repo, then you need to use ssh or some custom way of storing the username/password, as the username/password in jGit is not available.
Comment 6 Justin Holmes 2016-02-11 15:03:45 EST
@Mike - 6.2 patch 2, which is early/mid March. You can tell because this issue blocks https://bugzilla.redhat.com/show_bug.cgi?id=1299870 which has the appropriate flag
Comment 10 Kris Verlaenen 2016-02-23 08:32:48 EST
Keys without passphrase can be supported by relaxing the url validation and should work.
Comment 22 Tomas David 2016-03-17 09:00:28 EDT
Verified with BPMS 6.3.0.ER1.

Note You need to log in before you can comment on or make changes to this bug.